Page MenuHomePhabricator

elementary: Add missed type for legacy.
ClosedPublic

Authored by CHAN on Jan 17 2018, 4:42 AM.

Details

Summary

We've been missed type of class name.

Add legacy class name to maintain compatibility.

@fix

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
CHAN created this revision.Jan 17 2018, 4:42 AM
CHAN edited the summary of this revision. (Show Details)Jan 17 2018, 4:46 AM
CHAN added reviewers: jpeg, woohyun, Jaehyun_Cho.
CHAN updated this revision to Diff 13709.Jan 17 2018, 4:49 AM
This comment was removed by CHAN.
CHAN updated this revision to Diff 13710.Jan 17 2018, 4:51 AM

Clean up

CHAN updated this revision to Diff 13711.Jan 17 2018, 4:56 AM

clean up

CHAN updated this revision to Diff 13712.Jan 17 2018, 3:11 PM
This comment was removed by CHAN.
woohyun added inline comments.Jan 21 2018, 6:00 PM
src/lib/elementary/elm_panes_legacy.h
-7

Wrong typedef. Please fix this.

CHAN updated this revision to Diff 13724.Jan 22 2018, 12:04 AM

Fix wrong typedef.

CHAN requested review of this revision.Jan 22 2018, 12:04 AM

Do we need to do typedef for the following classes as well?

Elm_Bg
Elm_Image
Elm_Win
Elm_Progressbar
Elm_Multibuttonentry

jpeg added a comment.Jan 22 2018, 9:48 PM

Do we need to do typedef for the following classes as well?

Elm_Bg
Elm_Image
Elm_Win
Elm_Progressbar
Elm_Multibuttonentry

All of the below types appear in 1.20 legacy files:

Elm_Access;
Elm_Actionslider;
Elm_Atspi_App_Object;
Elm_Atspi_Bridge;
Elm_Bg;
Elm_Box;
Elm_Bubble;
Elm_Calendar;
Elm_Clock;
Elm_Code_Widget;
Elm_Color_Item;
Elm_Colorselector;
Elm_Combobox;
Elm_Conformant;
Elm_Ctxpopup;
Elm_Ctxpopup_Item;
Elm_Dayselector;
Elm_Dayselector_Item;
Elm_Diskselector;
Elm_Diskselector_Item;
Elm_Entry;
Elm_Fileselector;
Elm_Fileselector_Button;
Elm_Fileselector_Entry;
Elm_Flipselector;
Elm_Flipselector_Item;
Elm_Gengrid;
Elm_Gengrid_Item;
Elm_Gengrid_Pan;
Elm_Genlist;
Elm_Genlist_Item;
Elm_Genlist_Pan;
Elm_Gesture_Layer;
Elm_Glview;
Elm_Grid;
Elm_Hover;
Elm_Hoversel;
Elm_Hoversel_Item;
Elm_Icon;
Elm_Index;
Elm_Index_Item;
Elm_Interface_Atspi_Accessible;
Elm_Interface_Atspi_Action;
Elm_Interface_Atspi_Component;
Elm_Interface_Atspi_Image;
Elm_Interface_Atspi_Selection;
Elm_Interface_Atspi_Text;
Elm_Interface_Atspi_Text_Editable;
Elm_Interface_Atspi_Value;
Elm_Interface_Atspi_Widget_Action;
Elm_Interface_Atspi_Window;
Elm_Interface_Fileselector;
Elm_Interface_Scrollable;
Elm_Inwin;
Elm_Label;
Elm_Layout;
Elm_List;
Elm_List_Item;
Elm_Map;
Elm_Mapbuf;
Elm_Map_Pan;
Elm_Menu;
Elm_Menu_Item;
Elm_Multibuttonentry;
Elm_Multibuttonentry_Item;
Elm_Naviframe;
Elm_Naviframe_Item;
Elm_Notify;
Elm_Pan;
Elm_Panel;
Elm_Panes;
Elm_Photo;
Elm_Player;
Elm_Plug;
Elm_Popup;
Elm_Popup_Item;
Elm_Prefs;
Elm_Route;
Elm_Scroller;
Elm_Segment_Control;
Elm_Segment_Control_Item;
Elm_Separator;
Elm_Slideshow;
Elm_Slideshow_Item;
Elm_Spinner;
Elm_Sys_Notify;
Elm_Sys_Notify_Dbus;
Elm_Sys_Notify_Interface;
Elm_Systray;
Elm_Table;
Elm_Thumb;
Elm_Toolbar;
Elm_Toolbar_Item;
Elm_View_Form;
Elm_View_List;
Elm_Web;
Elm_Widget;
Elm_Widget_Item;
CHAN updated this revision to Diff 13890.Feb 25 2018, 9:34 PM

Add missed types.

CHAN added a comment.Feb 25 2018, 9:37 PM

@Jaehyun_Cho Sorry im late.

I added more types that missed.

Other types you mentioned, already added.

Thanks.

CHAN edited the summary of this revision. (Show Details)Feb 26 2018, 5:16 AM
cedric accepted this revision.Mar 6 2018, 5:53 PM
This revision is now accepted and ready to land.Mar 6 2018, 5:53 PM
Closed by commit rEFLeb865ab5376a: elementary: add missed type for legacy. (authored by Woochan Lee <wc0917.lee@samsung.com>, committed by Cedric Bail <cedric@osg.samsung.com>). · Explain WhyMar 6 2018, 7:06 PM
This revision was automatically updated to reflect the committed changes.